function [fnew,pnew,rnew,Lp] = ConjGrad(f,p,pold,r,u,J0,Lpold);
//  Copyright Aldo I Maalouf
//Lp    	= L(u,FWT_Dyad(p,J0));
Lp    	= WaveL(u.*FWT_ATrou(p,J0));
lambda 	= (r'*p) / (p'*Lp);
fnew 	= f + lambda * p;
rnew	= r - lambda * Lp;
pnew	= Lp - (Lp'*Lp) / (p'*Lp) * p;
if ~(pold == 0),
    pnew = pnew  - (Lp'*Lpold) / (pold'*Lpold) * pold;
end

endfunction
