function HitAnyKey(arg)
// HitAnyKey -- Tool for pausing in scripts
//  Usage
//    HitAnyKey([arg])
//  Inputs
//    arg    optional value to store into global HitKeyMemory
//
//  Description
//    Hit any key to continue
//
//  Copyright Aldo I Maalouf

global HitKeyMemory
[lhs,rhs]=argn();
if rhs == 1,
   HitKeyMemory = arg;
end
drawnow();//xbasr() ;           
if ~string(HitKeyMemory)=='SkipPauses',
	if ~string(HitKeyMemory)=='AutoPrint',
	  disp('Awaiting Input; Hit P to print before continuing')
	  disp('                Hit X to suppress further pauses')
	  disp('                Hit any other key to continue   ')
	  chare = input("input P,X, or other?","s");
	  if (chare ~= [])
	  	if string(chare(1))=='P',
		warning('The print function is not provided with now!')//xsave(cptour1)//print                
	  	if string(chare(1))=='X',//elseif string(chare(1))=='X',
			HitKeyMemory = 'SkipPauses';
	  	end
	  end
	else
	  warning('The print function is not provided with now!')// xsave(cptour1)
	end
end
end
endfunction
