function Lf = WaveL(alpha);

//  Copyright Aldo I Maalouf

[n,b] = size(alpha);
J     = log2(n);
D     = b-1;
J0    = D-1;



s = alpha(:,1)'/2;

 hidyadf = [0 0 -.5 .5 0 0] .*sqrt(2); 


 lodyadf = [0.125 0.375 0.375 0.125].*sqrt(2);


f = zeros(1,2^(D-1)*length2(lodyadf));
f(1:2^(D-1):2^(D-1)*length2(lodyadf)+1-2^(D-1)) = lodyadf;

f2 = zeros(1,2^(D-1)*length2(hidyadf));
f2(1:2^(D-1):2^(D-1)*length2(hidyadf)+1-2^(D-1)) = hidyadf;

for d= D-1:-1:0
	for j = 1:2.*2^(d),
		s = lshift(s);
	end
	for j = 1:2^(d+1)
		p = rshift(alpha(:,d+2)');
		alpha(:,d+2) = p';
	end

     	for j = 1:3.*2^(d),
		p=lshift(alpha(:,d+2)');
		alpha(:,d+2)=p';
	end

	s = reverse(iconv(f,s)+iconv(f2,alpha(:,d+2)'));//


     if d > 0,
	f = zeros(1,2^(d-1)*length2(lodyadf));
	f(1:2^(d-1):2^(d-1)*length2(lodyadf)+1-2^(d-1)) = lodyadf;

	f2 = zeros(1,2^(d-1)*length2(hidyadf));
	f2(1:2^(d-1):2^(d-1)*length2(hidyadf)+1-2^(d-1)) = hidyadf;
     end;
end

Lf = s';
endfunction


   
    
