function y = lshift(x)
// lshift -- Circular left shift of 1-d signal
//  Usage
//    l = lshift(x)
//  Inputs
//    x   1-d signal
//  Outputs
//    l   1-d signal 
//        l(i) = x(i+1) except l(n) = x(1)
//
//  Copyright Aldo I Maalouf

	y = [ waverow(x( 2:length2(x))) x(1) ];
	endfunction
