mode(-1);

// specific part
libname='Wavelab'
libtitle='Wavelab Toolbox for scilab ';
write(%io(2), libtitle);

libevp_path=get_absolute_file_path('loader.sce');


exec(libevp_path + 'macros/AIDyadUp.sci');
exec(libevp_path + 'macros/AIRefine.sci');
exec(libevp_path + 'macros/AWT.sci');
exec(libevp_path + 'macros/BestBasis.sci');
exec(libevp_path + 'macros/BuildSkelMap.sci');
exec(libevp_path + 'macros/BuildSkelMapFast.sci');
exec(libevp_path + 'macros/CDJVDyadDown.sci');
exec(libevp_path + 'macros/CDJVDyadUp.sci');
exec(libevp_path + 'macros/CPAnalysis.sci');
exec(libevp_path + 'macros/CPImpulse.sci');
exec(libevp_path + 'macros/CPPursuit.sci');
exec(libevp_path + 'macros/CPSynthesis.sci');
exec(libevp_path + 'macros/CPTour.sci');
exec(libevp_path + 'macros/CWT.sci');
exec(libevp_path + 'macros/CWTscale.sci');
exec(libevp_path + 'macros/CalcCWTNorms.sci');
exec(libevp_path + 'macros/CalcCWTPars.sci');
exec(libevp_path + 'macros/CalcCWTScale.sci');
exec(libevp_path + 'macros/CalcFracSpectrum.sci');
exec(libevp_path + 'macros/CalcGenFracDimen.sci');
exec(libevp_path + 'macros/CalcMomentGenFun.sci');
exec(libevp_path + 'macros/CalcStatTree.sci');
exec(libevp_path + 'macros/CalcThermoPartition.sci');
exec(libevp_path + 'macros/CalcTreeHeight.sci');
exec(libevp_path + 'macros/CalcWPLocation.sci');
exec(libevp_path + 'macros/CoarseMeyerProj.sci');
exec(libevp_path + 'macros/ConjGrad.sci');
exec(libevp_path + 'macros/DDDyadUp.sci');
exec(libevp_path + 'macros/DDRefine.sci');
exec(libevp_path + 'macros/DetailMeyerProj.sci');
exec(libevp_path + 'macros/DownDyadHi.sci');
exec(libevp_path + 'macros/DownDyadHi_PBS.sci');
exec(libevp_path + 'macros/DownDyadLo.sci');
exec(libevp_path + 'macros/DownDyadLo_PBS.sci');
exec(libevp_path + 'macros/DrawHeisenberg.sci');
exec(libevp_path + 'macros/ExtendProj.sci');
exec(libevp_path + 'macros/ExtractRidge.sci');
exec(libevp_path + 'macros/FWT2_PO.sci');
exec(libevp_path + 'macros/FWT2_SBS.sci');
exec(libevp_path + 'macros/FWT_ATrou.sci');
exec(libevp_path + 'macros/FWT_CDJV.sci');
exec(libevp_path + 'macros/FWT_IO.sci');
exec(libevp_path + 'macros/FWT_PB.sci');
exec(libevp_path + 'macros/FWT_PO.sci');
exec(libevp_path + 'macros/FWT_Stat.sci');
exec(libevp_path + 'macros/FWT_TI.sci');
exec(libevp_path + 'macros/FWT_YM.sci');
exec(libevp_path + 'macros/FineMeyerProj.sci');
exec(libevp_path + 'macros/HitAnyKey.sci');
exec(libevp_path + 'macros/IMM_DWT.sci');
exec(libevp_path + 'macros/IRWT.sci');
exec(libevp_path + 'macros/IWT2_PO.sci');
exec(libevp_path + 'macros/IWT2_SBS.sci');
exec(libevp_path + 'macros/IWT_AI.sci');
exec(libevp_path + 'macros/IWT_ATrou.sci');
exec(libevp_path + 'macros/IWT_CDJV.sci');
exec(libevp_path + 'macros/IWT_DD.sci');
exec(libevp_path + 'macros/IWT_IO.sci');
exec(libevp_path + 'macros/IWT_PB.sci');
exec(libevp_path + 'macros/IWT_PBS.sci');
exec(libevp_path + 'macros/IWT_PO.sci');
exec(libevp_path + 'macros/IWT_Stat.sci');
exec(libevp_path + 'macros/IWT_TI.sci');
exec(libevp_path + 'macros/IWT_YM.sci');
exec(libevp_path + 'macros/IWindowFT.sci');
exec(libevp_path + 'macros/ImageCWT.sci');
exec(libevp_path + 'macros/ImagePhasePlane.sci');
exec(libevp_path + 'macros/ImageRWT.sci');
exec(libevp_path + 'macros/ImageWTMM.sci');
exec(libevp_path + 'macros/Interpol2.sci');
exec(libevp_path + 'macros/KeepBiggest.sci');
exec(libevp_path + 'macros/LockAxes.sci');
exec(libevp_path + 'macros/MM_DWT.sci');
exec(libevp_path + 'macros/MM_RWT.sci');
exec(libevp_path + 'macros/MakeAIBdryFilter.sci');
exec(libevp_path + 'macros/MakeAIFilter.sci');
exec(libevp_path + 'macros/MakeATrouFilter.sci');
exec(libevp_path + 'macros/MakeBSFilter.sci');
exec(libevp_path + 'macros/MakeBSWavelet.sci');
exec(libevp_path + 'macros/MakeBrownian.sci');
exec(libevp_path + 'macros/MakeCDJVFilter.sci');
exec(libevp_path + 'macros/MakeCantor.sci');
exec(libevp_path + 'macros/MakeDDBdryFilter.sci');
exec(libevp_path + 'macros/MakeDDFilter.sci');
exec(libevp_path + 'macros/MakeFractal.sci');
exec(libevp_path + 'macros/MakeOBFilter.sci');
exec(libevp_path + 'macros/MakeONBell.sci');
exec(libevp_path + 'macros/MakeONFilter.sci');
exec(libevp_path + 'macros/MakeProcess.sci');
exec(libevp_path + 'macros/MakeSignal.sci');
exec(libevp_path + 'macros/MakeSynthesisTable.sci');
exec(libevp_path + 'macros/MakeWavelet.sci');
exec(libevp_path + 'macros/MakeWaveletPacket.sci');
exec(libevp_path + 'macros/MakeWindow.sci');
exec(libevp_path + 'macros/MirrorFilt.sci');
exec(libevp_path + 'macros/MirrorSymmFilt.sci');
exec(libevp_path + 'macros/ModulusMaxima.sci');
exec(libevp_path + 'macros/MonitorPursuit.sci');
exec(libevp_path + 'macros/Morlet.sci');
exec(libevp_path + 'macros/PackBasisCoeff.sci');
exec(libevp_path + 'macros/PlotAtomicPhase.sci');
exec(libevp_path + 'macros/PlotBasisTree.sci');
exec(libevp_path + 'macros/PlotCompressNumbers.sci');
exec(libevp_path + 'macros/PlotGenFracDimen.sci');
exec(libevp_path + 'macros/PlotMomentGenFun.sci');
exec(libevp_path + 'macros/PlotMultiSpectrum.sci');
exec(libevp_path + 'macros/PlotPacketTable.sci');
exec(libevp_path + 'macros/PlotPhasePlane.sci');
exec(libevp_path + 'macros/PlotRidges.sci');
exec(libevp_path + 'macros/PlotSynthesisTable.sci');
exec(libevp_path + 'macros/PruneSkelMap.sci');
exec(libevp_path + 'macros/QuasiDCT.sci');
exec(libevp_path + 'macros/QuasiDST.sci');
exec(libevp_path + 'macros/RWT.sci');
exec(libevp_path + 'macros/RWTscale.sci');
exec(libevp_path + 'macros/Ridge_AWT.sci');
exec(libevp_path + 'macros/Ridge_WindowFT.sci');
exec(libevp_path + 'macros/SeparateCoeff.sci');
exec(libevp_path + 'macros/ShapeAsRow.sci');
exec(libevp_path + 'macros/ShapeLike.sci');
exec(libevp_path + 'macros/SkelMap.sci');
exec(libevp_path + 'macros/Stat2TI.sci');
exec(libevp_path + 'macros/TI2Stat.sci');
exec(libevp_path + 'macros/UnfoldMeyer.sci');
exec(libevp_path + 'macros/UnlockAxes.sci');
exec(libevp_path + 'macros/UnpackBasisCoeff.sci');
exec(libevp_path + 'macros/UpDyadHi.sci');
exec(libevp_path + 'macros/UpDyadHi_PBS.sci');
exec(libevp_path + 'macros/UpDyadLo.sci');
exec(libevp_path + 'macros/UpDyadLo_PBS.sci');
exec(libevp_path + 'macros/UpSample.sci');
exec(libevp_path + 'macros/WPAnalysis.sci');
exec(libevp_path + 'macros/WPImpulse.sci');
exec(libevp_path + 'macros/WPMPursuitTour.sci');
exec(libevp_path + 'macros/WPPursuit.sci');
exec(libevp_path + 'macros/WPSynthesis.sci');
exec(libevp_path + 'macros/WPTour.sci');
exec(libevp_path + 'macros/WTMM.sci');
exec(libevp_path + 'macros/WaveL.sci');
exec(libevp_path + 'macros/WhiteNoise.sci');
exec(libevp_path + 'macros/WindowMeyer.sci');
exec(libevp_path + 'macros/WrapAround.sci');
exec(libevp_path + 'macros/aconv.sci');
exec(libevp_path + 'macros/all.sci');
exec(libevp_path + 'macros/any.sci');
exec(libevp_path + 'macros/cantor.sci');
exec(libevp_path + 'macros/conv.sci');
exec(libevp_path + 'macros/conv2.sci');
exec(libevp_path + 'macros/dct_ii.sci');
exec(libevp_path + 'macros/dct_iv.sci');
exec(libevp_path + 'macros/dst_ii.sci');
exec(libevp_path + 'macros/dyad.sci');
exec(libevp_path + 'macros/dyad2ix.sci');
exec(libevp_path + 'macros/dyadlength.sci');
exec(libevp_path + 'macros/edgefold.sci');
exec(libevp_path + 'macros/edgeunfold.sci');
exec(libevp_path + 'macros/fftshift.sci');
exec(libevp_path + 'macros/fliplr.sci');
exec(libevp_path + 'macros/flipud.sci');
exec(libevp_path + 'macros/fold.sci');
exec(libevp_path + 'macros/gray.sci');
exec(libevp_path + 'macros/iconv.sci');
exec(libevp_path + 'macros/ifft2.sci');
exec(libevp_path + 'macros/ifftshift.sci');
exec(libevp_path + 'macros/ischar.sci');
exec(libevp_path + 'macros/isempty.sci');
exec(libevp_path + 'macros/isequal.sci');
exec(libevp_path + 'macros/ix2pkt.sci');
exec(libevp_path + 'macros/length2.sci');
exec(libevp_path + 'macros/lshift.sci');
exec(libevp_path + 'macros/modulo.sci');
exec(libevp_path + 'macros/msort.sci');
exec(libevp_path + 'macros/node.sci');
exec(libevp_path + 'macros/norm.sci');
exec(libevp_path + 'macros/packet.sci');
exec(libevp_path + 'macros/pkt2ix.sci');
exec(libevp_path + 'macros/quadlength.sci');
exec(libevp_path + 'macros/realpow.sci');
exec(libevp_path + 'macros/rem.sci');
exec(libevp_path + 'macros/reverse.sci');
exec(libevp_path + 'macros/rnshift.sci');
exec(libevp_path + 'macros/rshift.sci');
exec(libevp_path + 'macros/symm_aconv.sci');
exec(libevp_path + 'macros/symm_iconv.sci');
exec(libevp_path + 'macros/unfold.sci');
exec(libevp_path + 'macros/waverow.sci');
exec(libevp_path + 'macros/dyadpartition.sci');
exec(libevp_path + 'macros/UpDyad_SBS.sci');
exec(libevp_path + 'macros/extend.sci');
exec(libevp_path + 'macros/DownDyad_SBS.sci');
exec(libevp_path + 'macros/FWT_SBS.sci');
exec(libevp_path + 'macros/IWT_SBS.sci');
exec(libevp_path + 'macros/mtlb_length.sci');

clear libname;
clear libtitle;

global count;
count = 0;


disp 'Finish loading Wavelab.'
