function ridges = Ridge_WindowFT(specgm)
// Ridge_WindowFT -- Find Ridges of Window Fourier Transform
//  Usage
//    ridges = Ridge_WindowFT(specgm);
//  Inputs
//    specgm   	output of window Fourier transform, from WindowFT
//  Outputs
//    ridges	ridges table of window Fourier transform;
//		A binary table having same size as specgm
//  Side Effects
//    
//  Description
//
//  Algorithm
//     
//  Examples
//     
//  See Also
//    WindowFT	
//  References
//    Mallat, "A Wavelet Tour of Signal Processing"
//  Copyright Aldo I Maalouf
 
 ridges = Ridge_AWT(specgm,3);
 endfunction

