function indnew = WrapAround(ind, n)
// WrapAround -- Circular map onto 1:n
//  Usage
//    indnew = WrapAround(ind, n)
//  Inputs
//    ind     vector to wrap
//    n       length of wrap
//
//  Description
//    
//  Copyright Aldo I Maalouf

indnew = (ind <= n) .* ind + (ind > n) .* (ind - n);
endfunction
