function y = ifftshift(x)
//  Copyright Aldo I Maalouf

numDims = ndims(x);
idx = list(1, numDims);
for k = 1:numDims
    m = size(x, k);
    p = floor(m/2);
    idx(k) = [p+1:m 1:p];
end

// Use comma-separated list syntax for N-D indexing.
y = x(idx(:));
endfunction
