function p=packet(d,b,n)
// packet -- Packet table indexing
//  Usage
//    p = packet(d,b,n)
//  Inputs
//    d     depth of splitting in packet decomposition
//    b     block index among 2^d possibilities at depth d
//    n     length of signal
//  Outputs
//    p     linear indices of all coeff's in that block
//
//  Copyright Aldo I Maalouf

npack = 2^d;
p =  ( (b * (n/npack) + 1) : ((b+1)*n/npack ) ) ;
endfunction
