function r = reverse(x)
// reverse -- Reverse order of elements in 1-d signal
//  Usage
//    r = reverse(x)
//  Inputs
//    x     1-d signal
//  Outputs
//    r     1-d time-reversed signal
//
//  See Also
//    flipud, fliplr
//
//  Copyright Aldo I Maalouf

   r = x(length2(x):-1:1);
   endfunction
